LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
ReferenceFieldSource.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::text
| Text specific interfaces.

## Constant Groups
constants | com::sun::star::text::ReferenceFieldSource
| These constants define the type of the source of a reference field.

## Variables
const short | REFERENCE_MARK = 0
| The source is a reference mark. More...
const short | SEQUENCE_FIELD = 1
| The source is a number sequence field. More...
const short | BOOKMARK = 2
| The source is a bookmark. More...
const short | FOOTNOTE = 3
| The source is a footnote. More...
const short | ENDNOTE = 4
| The source is an endnote. More...
const short | STYLE = 5
| The source is a style. More...